<?

require "classes.php";

// put the coder id here
$coder_id = "1242159";

$myFileMgr = new fileMgr('./cache',7 * 24 * 60 * 60);
$htmlCode = $myFileMgr->getFileContents($coder_id);

preg_match_all('@<table ([idID]{2})="Table16"([^>]+)>(.*)</table>@isU',$htmlCode,$match);

$tableCode = $match[0][0];

/* now get all rows in an array */
preg_match_all('@<tr>(.*)</tr>@isU',$tableCode,$match);

$rowCode = $match[1];

/* 
 the first row contains the column headers 
 which we can use as the xml tags
*/

array_shift($rowCode);

$xmlTags = array('rating','title','amount','rated_by','rated_on','comments','link');

$projDetails = array();
$projCount = 0;
$seq = 1;
for($i = 0; $i < count($rowCode); $i++){
	$row = $rowCode[$i];
	preg_match_all('@<td([^>]+)>(.*)</td>@isU',$row,$rowMatch);

	if($seq == 1){
		for($t = 1; $t < 6; $t++){
		  $tmp[$xmlTags[($t - 1)]] = trim(strip_tags($rowMatch[2][$t]));
		}
		preg_match('@<a href="(.*)">@',$rowMatch[2][2],$urlMatch);
		$tmp['link'] = $urlMatch[1];
	}

	if($seq == 2){
		$tmp['comments'] = trim(strip_tags($rowMatch[2][0]));
	}

	if($seq == 3){
  	 $projCount++;
	 $projDetails[$projCount] = $tmp;
	 $seq = 1;
	}else $seq++;
}

/* start to output the json object */

/*
echo 'var projects = [' . "\n";

$cc = 0;
foreach($projDetails as $project){
	
	if(!eregi("^10",$project['rating'])) continue;
	if(trim($project['comments']) == '') continue;

	

	if($cc > 0) echo ',' . "\n";
	echo "\t{title:'".$project['title']."', comment:'".addslashes($project['comments'])."', url:'".$project['link']."'}";
	$cc++;
}

echo "\t];\n";
*/


/* start to output the html table */
/*
?>
<style type="text/css">
#table16 { width: 180px; border: 1px Solid #336688; }
#table16 td { font-face: Tahoma, Veradana, sans-serif; font-size: 10px }
.title { font-size: 12px; font-weight: bold; }
</style>
<?
echo '<table border="0" id="table16">';

foreach($projDetails as $project){
	
	if(!eregi("^10",$project['rating'])) continue;
	if(trim($project['comments']) == '') continue;


	echo '<tr><td class="title"><a href="http://www.rentacoder.com'.$project['link'].'">'
		.$project['title'].'</td></tr>'
		.'<tr><td class="comment">'.$project['comments']
		.'</td></tr>';
}

echo "</table>";


*/
/* start to output the html list */

?>
<style type="text/css">
#table16 { border: 1px Solid #336688; list-style: none; padding: 2px;}
#table16 li { font-family: Tahoma, Verdana, sans-serif; font-size: 10px; margin: 2px;}
.title { font-size: 12px; font-weight: bold; }
</style>
<?
echo '<ul id="table16">';

foreach($projDetails as $project){
	
	if(!eregi("^10",$project['rating'])) continue;
	if(trim($project['comments']) == '') continue;


	echo '<li><span class="title"><a href="http://www.rentacoder.com'.$project['link'].'">'
		.$project['title'].'</a></span><br>'
		.$project['comments']
		.'</li>';
}

echo "</ul>";


