<?php

/* just a file manager... specific for the current implementation */
class fileMgr
{
  var $cache;
  var $cacheTtl;

  function fileMgr($cache = "./cache", $cacheTtl = 3600)
	{
		if(is_dir($cache))
			$this->cache = $cache;
		else
			trigger_error("Cache directory does not exist!",E_USER_ERROR);

		$this->cacheTtl = $cacheTtl;
	}

  function getFileContents($coder_id)
	{
		$cacheFile = $this->cache . "/" . md5($coder_id);
		if(!$this->isAlive ($cacheFile))
			$this->fetchFile( $coder_id, $cacheFile );

		return file_get_contents ( $cacheFile );
	}
	
  function isAlive($cacheFile)
	{
		if(!file_exists($cacheFile)) return false;

		$mtime = date("U", filemtime ( $cacheFile ));
		$ctime = date("U");

		if(($mtime + $this->cacheTtl) < $ctime)	return false;
		else return true;
	}

  function fetchFile ($coder_id, $cacheFile)
	{
		$rr = new racResume($coder_id);
		$tmp = $rr->getResume();
		$fp = fopen ( $cacheFile, "w" );
		fwrite ( $fp, $tmp );
		fclose ( $fp );
	}
}

class racResume
{
    var $errno;
    var $errstr;

    function getResume($coder_id = 1242159){

	$req = "GET /RentACoder/SoftwareCoders/showBioInfo.asp?lngAuthorId=".$coder_id."&blnShowAllRatings=TRUE HTTP/1.1\r\n";
	$req .= "Host: www.rentacoder.com\r\n";
	$req .= "User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060124 Firefox/1.5.0.1\r\n";
	$req .= "Connection: Close\r\n\r\n";
	
	$fp = fsockopen ( 'www.rentacoder.com' , 80, $this->errno, $this->errstr, 30);
	if (!$fp) {
		$rv = false;
	} else {
	   $rv = '';
	   fwrite($fp, $req);
	   while (!feof($fp)) {
	       $rv .= fgets($fp, 128);
	   }
	   fclose($fp);
	}
	return $rv;
    }

}

